var patientCycle = {
    settings: {

    },
    init: function() {
        this.bindAutoComplete();

        jQ('#companies').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-company-id').val(val);
        });

        jQ('#branches').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-branch-id').val(val);
        });

        jQ('#referringHealthFacilities').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-referring-health-facility-id').val(val);
        });

        jQ('#referringProviders').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-referring-provider-id').val(val);
        });

        jQ('#services').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-service-id').val(val);
        });

        jQ('#primaryProviders').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-primary-provider-id').val(val);
        });

        jQ('#fileTypes').bind('change', function () {
            var val = jQ(this).val();
            jQ('#form-file-type-id').val(val);
        });

        jQ("#is_due").change(function() {
            if(this.checked) {
                jQ('#form-is-due').val('true');
            } else {
                jQ('#form-is-due').val('');
            }
        });
    },
    bindAutoComplete: function() {

    }
};